Subject: Re: bug#12750: Highlighting text no longer works

From: Bruce Korb <[email-masked]>
Date: Mon, 29 Oct 2012 07:07:54 -0700

On 10/29/12 01:44, Andreas Schwab wrote:
>>>> It is really helpful to have explicit instructions:
>>>>
>>>> *** To return to the previous behavior, add the following to your .emacs file:
>>>>     (setq select-active-regions         nil)
>>>>     (setq mouse-drag-copy-region        't)
>>>>     (setq x-select-enable-primary       't)
>>
>> t, not 't.
> 
> Which is exactly the same.

Either I really fumble-fingered the stuff (very possible), or it isn't exactly
the same.  After changing "'t" to "t" I've found that it works.
Perhaps I should change it back to "'t" to see if, indeed, it causes
it to not work the way I need it to.  I don't know. I _do_ know
that with:

> (setq select-active-regions         nil)
> (setq mouse-drag-copy-region        t)
> (setq x-select-enable-primary       t)
> (setq x-select-enable-clipboard     nil)
> (global-set-key [mouse-2]          'mouse-yank-at-click)

all my pasting works the way it should.  I know this:

* I highlighted and pasted into this email (mouse-2)
  (I later cut and pasted-as-quotation)
* I highlighted and clicked button 2 and pasted in emacs
* I highlighted and yanked (Ctl-Y) in emacs

That's what I needed!

Thank you all.  Regards, Bruce